package com.kingdee.eas.custom.synctask.task;

import com.kingdee.bos.BOSException;
//import com.kingdee.bos.metadata.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public interface ISynPersonToPunchCardFacade extends IBizCtrl
{
    public void updatePerson(String personNumbers) throws BOSException, EASBizException;
    public void dimissionPerson(String personNumbers) throws BOSException, EASBizException;
    public void recoverPerson(int offSet) throws BOSException, EASBizException;
    public void initializePerson() throws BOSException, EASBizException;
    public void synRecoverPerson(int offSet, String personNumber) throws BOSException;
}